##### Compute posterior PDF for coin problem with a uniform prior for a range of r

#pdf("coin0.pdf", 4, 4)
par(mfrow=c(1,1), mgp=c(2.0,0.8,0), mar=c(3.5,3.5,1,1), oma=0.1*c(1,1,1,1))
n <- 20
r <- 7
p <- seq(from=0,to=1,length.out=201)
plot(p, dbinom(x=r, size=n, prob=p), ylim=c(0, 0.19), xaxs="i", yaxs="i", 
     xlab="p", ylab=expression(paste(P^symbol("*"), "(p | r,n,M)")), type="l", lwd=1.5)
pdense <- dbinom(x=r, size=n, prob=p) # unnormalized in p
p.mean <- sum(p*pdense)/sum(pdense)
abline(v=p.mean, lty=2)
#dev.off()